# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..5\n"; }
END {print "not ok 1\n" unless $loaded;}
use Math::Ackermann;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

my $N = 2;
sub Not { print "not " }
sub OK  { print "ok ", $N++, "\n" }

my $ackermann = new Math::Ackermann;

$ackermann->compute(1, 1)==3 or Not; OK;
$ackermann->compute(2, 2)==7 or Not; OK;
$ackermann->compute(1, 2)==4 or Not; OK;
$ackermann->compute(2, 2)==7 or Not; OK;
